- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# xcb_xv_shm_put_image_request_t Struct Reference
[XCB Xv API]

xcb_xv_shm_put_image_request_t More...

`#include <xv.h>`

## Data Fields
uint8_t | major_opcode
uint8_t | minor_opcode
uint16_t | length
xcb_xv_port_t | port
xcb_drawable_t | drawable
xcb_gcontext_t | gc
xcb_shm_seg_t | shmseg
uint32_t | id
uint32_t | offset
int16_t | src_x
int16_t | src_y
uint16_t | src_w
uint16_t | src_h
int16_t | drw_x
int16_t | drw_y
uint16_t | drw_w
uint16_t | drw_h
uint16_t | width
uint16_t | height
uint8_t | send_event

## Detailed Description

xcb_xv_shm_put_image_request_t

## Field Documentation

uint8_t xcb_xv_shm_put_image_request_t::major_opcode

uint8_t xcb_xv_shm_put_image_request_t::minor_opcode

uint16_t xcb_xv_shm_put_image_request_t::length

xcb_xv_port_t xcb_xv_shm_put_image_request_t::port

xcb_drawable_t xcb_xv_shm_put_image_request_t::drawable

xcb_gcontext_t xcb_xv_shm_put_image_request_t::gc

xcb_shm_seg_t xcb_xv_shm_put_image_request_t::shmseg

uint32_t xcb_xv_shm_put_image_request_t::id

uint32_t xcb_xv_shm_put_image_request_t::offset

int16_t xcb_xv_shm_put_image_request_t::src_x

int16_t xcb_xv_shm_put_image_request_t::src_y

uint16_t xcb_xv_shm_put_image_request_t::src_w

uint16_t xcb_xv_shm_put_image_request_t::src_h

int16_t xcb_xv_shm_put_image_request_t::drw_x

int16_t xcb_xv_shm_put_image_request_t::drw_y

uint16_t xcb_xv_shm_put_image_request_t::drw_w

uint16_t xcb_xv_shm_put_image_request_t::drw_h

uint16_t xcb_xv_shm_put_image_request_t::width

uint16_t xcb_xv_shm_put_image_request_t::height

uint8_t xcb_xv_shm_put_image_request_t::send_event

The documentation for this struct was generated from the following file:

- xv.h